/*
vdkb_envdlg gui header
*/
protected:
VDKNotebook*  Nbook;
VDKBox*  Nbook0_Page0;
VDKBox*  Hbox29;
VDKBox*  Hbox31;
VDKFrame*  Vframe2;
VDKBox*  Vbox33;
VDKTable*  Table2;
VDKBox*  Vbox43;
VDKLabelButton*  CppSourceButton;
VDKBox*  Vbox44;
VDKEntry*  CppSourceEntry;
VDKBox*  Vbox45;
VDKLabelButton*  CppHeaderButton;
VDKBox*  Vbox46;
VDKEntry*  CppHeaderEntry;
VDKBox*  Vbox47;
VDKLabelButton*  ObjectFilesButton;
VDKBox*  Vbox48;
VDKEntry*  ObjectEntry;
VDKBox*  Vbox49;
VDKLabel*  Label10;
VDKBox*  Vbox50;
VDKCheckButton*  HideOnRunCheck;
VDKBox*  Vbox51;
VDKLabelButton*  StartUpDirButton;
VDKBox*  Vbox52;
VDKEntry*  StartupDirEntry;
VDKBox*  Vbox53;
VDKLabelButton* QuitButton;
VDKCheckButton*  WiResizeableCheck;
VDKBox*  Vbox54;
VDKBox*  Hbox32;
VDKFrame*  Vframe3;
VDKBox*  Vbox34;
VDKTable*  Table3;
VDKBox*  Vbox55;
VDKLabelButton*  EditorSetFontButton;
VDKBox*  Vbox56;
VDKEntry*  EditorFontEntry;
VDKBox*  Vbox57;
VDKLabel*  Label9;
VDKBox*  Vbox58;
//VDKColorComboBox*  EditorFgCombo;
VDKCustomButton* EditorFgButton;
VDKCanvas* EditorFgCanvas;
VDKBox*  Vbox59;
VDKLabel*  Label11;
VDKBox*  Vbox60;
//VDKColorComboBox*  EditorBgCombo;
VDKCustomButton* EditorBgButton;
VDKCanvas* EditorBgCanvas;
VDKBox*  Vbox61;
VDKLabelButton*  EditorMinVSizeButton;
VDKBox*  Vbox62;
VDKEntry*  EditorMinVSizeEntry;
VDKBox*  Vbox63;
VDKLabelButton*  EditorMinHSizeButton;
VDKBox*  Vbox64;
VDKEntry*  EditorMinHSizeEntry;
VDKBox*  Vbox65;
VDKLabel*  Label17;
VDKBox*  Vbox66;
VDKCheckButton*  AutosaveCheck;
VDKBox*  Nbook0_Page1;
VDKBox*  Hbox4;
VDKCustomList*  SyntaxTokenList;
VDKBox*  Vbox6;
VDKBox*  Hbox11;
VDKLabel*  Label2;
VDKBox*  Vbox165;
VDKLabel*  Label117;
VDKBox*  Vbox166;
VDKSpinButton*  TimedAutosaveSpinButton;
VDKBox*  Vbox265;
VDKLabel*  Label217;
VDKBox*  Vbox266;
VDKCheckButton*  BackupCheck;

VDKColorComboBox*  SyntaxColorsCombo;
//VDKCustomButton* SyntaxColorsButton;
//VDKCanvas* SyntaxColorsCanvas;
VDKBox*  Hbox12;
VDKEntry*  SyntaxFontEntry;
VDKLabelButton*  SyntaxFontButton;
VDKBox*  Hbox5;
VDKEditor*  SyntaxSampleText;

VDKBox*  Nbook0_Page2;
VDKCustomButton* setTabButton;
VDKSpinButton* editortab;
VDKEntry* vdk_ref_path;
VDKCheckButton *save_session;
VDKCheckButton *code_indent;
public:
DECLARE_SIGNAL_MAP(Vdkb_envdlgForm);
bool OnEditorSetFontButtonClick(VDKObject* sender);
bool OnCppSourceButtonClick(VDKObject* sender);
bool OnCppHeaderButtonClick(VDKObject* sender);
bool OnObjectFilesButtonClick(VDKObject* sender);
bool OnStartUpDirButtonClick(VDKObject* sender);
bool OnEditorMinVSizeButtonClick(VDKObject* sender);
bool OnEditorMinHSizeButtonClick(VDKObject* sender);
bool OnSyntaxTokenListSelectRow(VDKObject* sender);
bool OnSyntaxFontButtonClick(VDKObject* sender);
bool OnHideOnRunCheckToggled(VDKObject* sender);
bool OnWiResizeableCheckToggled(VDKObject* sender);
bool OnAutosaveCheckToggled(VDKObject* sender);
bool OnQuitButtonClick(VDKObject* sender);
bool OnVDKRefPath(VDKObject* sender);
bool OnSaveSessionCheckToggled(VDKObject* sender);
bool OnCodeIndentCheckToggled(VDKObject* sender);










